@import '../../../styles/variables';
@import '../../../styles/mixins';
@import '../../../styles/medias';

$form-max-width: 630px;

:host {
  display: grid;
  grid-template: 100vh / 1fr $form-max-width;
  @include lt-lg {
    grid-template: 100vh / 1fr;
  }
}

.container {
  &:nth-child(1) {
    &::before {
      content: '';
      position: absolute;
      width: 100%;
      height: 100%;
      background-image: url('/assets/images/circle-mask-1.svg'), url('/assets/images/circle-mask-2.svg'),
        url('/assets/images/main-pattern.svg');
      background-repeat: no-repeat;

      background-size: auto clamp(250px, 18vw, 350px), auto clamp(250px, 18vw, 350px), auto clamp(250px, 18vw, 350px);

      background-position: bottom left, top right, bottom right;
    }
    width: 100%;
    height: 100%;
    position: relative;
    .login-abstract,
    .header {
      position: absolute;
    }
    .login-abstract {
      height: clamp(250px, 18vw, 350px);
      top: $margin * 2;
      left: $margin * 2;
    }
    .header {
      top: clamp($margin * 6, 9vw, $margin * 11);
      left: clamp($margin * 11, 14vw, $margin * 17);
      z-index: 10;
    }
  }
  &:nth-child(2) {
    box-sizing: border-box;
    padding: $padding;
    width: 100%;
    background-color: $color-accent1;
    overflow: hidden;

    @include flex-center-layout();
    .form {
      position: relative;
      z-index: 10;
      @include generic-layout(100%);
      align-items: center;
      max-width: $form-max-width;
      &__title {
        color: $color-text;
        text-align: center;
        margin-bottom: $margin * 2;
      }
    }
    padding: 0 $padding * 4;
  }

  @include lt-lg {
    &:nth-child(1) {
      display: none;
    }
    &:nth-child(2) {
      &::before {
        content: '';
        position: absolute;
        width: 100%;
        height: 100%;
        background-image: url('/assets/images/main-pattern.svg');
        background-repeat: no-repeat;
        background-size: auto 300px;
        background-position: bottom left;
      }
    }
  }
}
